#!/bin/sh

export PGPASSWORD=$POSTGRES_PASSWORD

psql -h $POSTGRES_HOST -p $POSTGRES_PORT -U $POSTGRES_USER -d $POSTGRES_DB -c "DROP DATABASE IF EXISTS $POSTGRES_DB_SEED;"

psql -h $POSTGRES_HOST -p $POSTGRES_PORT -U $POSTGRES_USER -d $POSTGRES_DB -c "CREATE DATABASE $POSTGRES_DB_SEED WITH TEMPLATE $POSTGRES_DB;"

psql -h $POSTGRES_HOST -p $POSTGRES_PORT -U $POSTGRES_USER -d $POSTGRES_DB_SEED <seed/pre-init.sql

psql -h $POSTGRES_HOST -p $POSTGRES_PORT -U $POSTGRES_USER -d $POSTGRES_DB_SEED <seed/init.sql
